Ask / Submit
98

Please release gstreamer 1.0 [released]

asked 2014-08-25 03:39:00 +0200

coderus gravatar image

updated 2015-05-19 15:52:59 +0200

r0kk3rz gravatar image

Just found real reason of rejecting videos, captured with stock camera or QML Camera: wrond metadata, As MSameer said it's probably gstreamer 0.10 bug, because video recorded with Cameraplus (gstreamer 1.0) have right metadata. Check the paste: http://paste.kde.org/p5yaoqwep First video recorded with Cameraplus, second recorded with stock camera.

edit retag flag offensive reopen delete

The question has been closed for the following reason "released in a software update" by r0kk3rz
close date 2015-09-24 13:16:03.131792

Comments

1

https://together.jolla.com/question/5556/upgrade-gstreamer-to-support-opus-codec/#post-id-5654

@stezz posted here about their plans to update it but we don't know the current status. But yes. We need this ASAP.

ApB ( 2014-08-25 13:16:51 +0200 )edit
2

QtMultimedia patches have been submitted and waiting for review.

There is also work ongoing on GStreamer elements needed.

GStreamer 1.x transition is not small. It affects: Camera, Media player, Gallery, Browser, tracker, video thumbnailer and I hope I did not miss anything else off the top of my head. I am in charge for that transition and it's one of the dishes on my table :)

MSameer ( 2014-08-25 20:29:03 +0200 )edit
1

We also do not know for sure what is the issue between the videos recorded by stock camera and whatsapp server. I have not investigated it much.

MSameer ( 2014-08-25 20:30:32 +0200 )edit
3

@MSameer

Any ETA on gst 1.x? Or could you share the current state?

ApB ( 2014-08-25 20:44:34 +0200 )edit
2

What about having 1.0 (1.4x) parallel installed and allowing harbour apps to use 1.0 and later only ? Then base packages can move from 0.10 in their own pace. And as no non-harbour apps aren't allowed to use 0.10 anyway, so it shouldn't brake anything ? Works on the desktop. And yes it is space wasting, but the other solution to package all of gstreamer 1.0 into your own app just to get into harbour would be even more waste of space.

onion ( 2014-09-03 11:59:54 +0200 )edit

4 Answers

Sort by » oldest newest most voted
11

answered 2015-06-27 15:11:16 +0200

MSameer gravatar image

updated 2015-06-27 22:28:08 +0200

GStreamer 1.x is already being tested and hopefully it will be out in the next update (No commitment).

If there are issues with the _existing_ media playback please post them here so I can either clarify or make sure they will work properly with the new media stack.

edit flag offensive delete publish link more

Comments

1

gifv not playing was a complain but not sure we have a bug report here. And more importantly the video recording codec of the camera app which many complain about.

ApB ( 2015-06-27 22:41:33 +0200 )edit

never heard about gifv until now :)

recording codec: is it about the switch to H264/AVC instead of MPEG4?

MSameer ( 2015-06-28 00:52:08 +0200 )edit
1

@MSameer I have asked few times vimeo video support - Is it part of this gstreamer update for SF OS?

Check my comment on the comments of the this question...

Kari ( 2015-06-28 17:44:14 +0200 )edit

@Kari GStreamer only plays what browser throws at it. If browser does not give a stream to play then there is something I can do. You need to check with browser team.

@ApB I checked gifv and seems there is no GStreamer plugin for that so it won't be supported for now.

MSameer ( 2015-06-30 18:31:30 +0200 )edit

@MSameer, did this get released? or is there still more work to do

r0kk3rz ( 2015-08-10 16:16:14 +0200 )edit
7

answered 2015-09-10 12:47:21 +0200

MSameer gravatar image

GStreamer 1.x has been released with 1.1.9.28

edit flag offensive delete publish link more

Comments

1

Hi,

@Sameer and @tworaz - Have you tried https://www.mobilesocceracademy.com/ it should be Vimeo video, but at least Jolla browser complaints that system is outdated and flash would needed?

On the other hand the videos on www.vimeo.com seem to play quite nice with new 1.1.9.28 SF OS and Jolla browser - What could be the issue here?

Kari ( 2015-09-10 13:34:13 +0200 )edit
1

I seem to have issues with rtsp streams now. Need to test a bit more, I'll let you know what I find.

onion ( 2015-09-10 13:53:34 +0200 )edit

otse.err.ee still does not work.Still same error :Flash player 10.1 or greater needed

Mr.Jeebus ( 2015-09-10 16:14:33 +0200 )edit
6

answered 2015-06-23 12:29:12 +0200

condo4 gravatar image

updated 2015-06-23 12:29:43 +0200

Jun 15: It's still impossible to read video on Jolla phone with a native application... Many codecs are not supported, official player is very minimal, and many x264 video have a big color bug...

Upgrading gstreamer is very urgent...

Today, the only way to read video is to use VLC (from andriod), and to read videos stored on sdcard I use bind mount with:

mount -o bind /media/sdcard/[SD-ID] /sdcard/[mount point]

edit flag offensive delete publish link more
1

answered 2015-05-19 15:51:09 +0200

r0kk3rz gravatar image

updated 2015-05-19 15:55:32 +0200

Cross linking @MSameer's answer from another thread on the current progress of GStreamer 1.0

EDIT: Just noticed the date stamp on it was Jan14 not Jan15. Has this been released yet?

edit flag offensive delete publish link more

Comments

3

gstreamer1.x is in repos already, but not used by system and lacks of some integration

coderus ( 2015-05-19 15:56:49 +0200 )edit
1

It's not been released yet. It's in the repos as @coderus mentioned but it is still limited. It is however being used by a few community members for their SailfishOS on android devices and it is maturing quite fast.

MSameer ( 2015-05-19 22:12:52 +0200 )edit

Question tools

Follow
7 followers

Stats

Asked: 2014-08-25 03:39:00 +0200

Seen: 1,883 times

Last updated: Sep 10 '15